Main Page Class Hierarchy Compound List Compound Members

# FieldParam Class Reference

Inheritance diagram for FieldParam:

List of all members.

## Detailed Description

This class is an abstract class, base class of Field and Param.

This class represents the Field/Param in the MetaData. A Field/Param contains description, a max of 2 values and a list of links.

The <FIELD> and <PARAM> class only differ in some attributes. <FIELD> contains 'type' and <PARAM> contains 'value'.

## Public Methods
int | getDescription (char *&desc, int *status)
int | getNumOfValues (int &numOfValues, int *status)
int | getValues (Values &v, int index, int *status)
int | getNumOfLinks (int &nLinks, int *status)
int | getLink (Link &link, int linkNum, int *status)
int | getID (char *&ID, int *status)
int | getUnit (char *&unit, int *status)
int | getDatatype (field_datatype &datatype, int *status)
int | getPrecision (char *&precision, int *status)
int | getWidth (int &width, int *status)
int | getRef (char *&ref, int *status)
int | getName (char *&name, int *status)
int | getUCD (char *&ucd, int *status)
int | getArraySize (char *&arraySize, int *status)
int | isVariableType (bool &b, int *status)

## Member Function Documentation

int FieldParam.getArraySize | ( | char *& | arraySize,
|  | int * | status
| ) |

| Gets the arraysize.

int FieldParam.getDatatype | ( | field_datatype & | datatype,
|  | int * | status
| ) |

| Gets the datatype. 'field_datatype' is an enumeration defined in 'global.h'.

int FieldParam.getDescription | ( | char *& | desc,
|  | int * | status
| ) |

| Gets the description.

int FieldParam.getID | ( | char *& | ID,
|  | int * | status
| ) |

| Gets the ID.

int FieldParam.getLink | ( | Link & | link,
|  | int | linkNum,
|  | int * | status
| ) |

| Gets the 'Link' at the given index. Index starts at 0.

int FieldParam.getName | ( | char *& | name,
|  | int * | status
| ) |

| Gets the name.

int FieldParam.getNumOfLinks | ( | int & | nLinks,
|  | int * | status
| ) |

| Gets number of links.

int FieldParam.getNumOfValues | ( | int & | numOfValues,
|  | int * | status
| ) |

| Gets the number of <VALUES> elements.

int FieldParam.getPrecision | ( | char *& | precision,
|  | int * | status
| ) |

| Gets the precision.

int FieldParam.getRef | ( | char *& | ref,
|  | int * | status
| ) |

| Gets the ref.

int FieldParam.getUCD | ( | char *& | ucd,
|  | int * | status
| ) |

| Gets the UCD.

int FieldParam.getUnit | ( | char *& | unit,
|  | int * | status
| ) |

| Gets the unit.

int FieldParam.getValues | ( | Values & | v,
|  | int | index,
|  | int * | status
| ) |

| Gets 'Values', given the index. Index starts at 0.

int FieldParam.getWidth | ( | int & | width,
|  | int * | status
| ) |

| Gets the width.

int FieldParam.isVariableType | ( | bool & | b,
|  | int * | status
| ) |

| Checks whether data is of variable type.